"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var utils_1 = require("../utils");
function validateEqual(expected) {
    return function (actual) {
        var expectedString = utils_1.stringify(expected);
        var actualString = utils_1.stringify(actual);
        var differences = utils_1.deepCompare(actual, expected);
        return {
            success: differences.length === 0,
            message: "expected " + actualString + " to equal " + expectedString + "\n" +
                utils_1.formatDifferences(differences),
            negatedMessage: "expected " + actualString + " not to equal " +
                (expectedString + ", but it did")
        };
    };
}
exports.validateEqual = validateEqual;
