"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var utils_1 = require("../utils");
function validateLessThanOrEqual(expected) {
    if (!utils_1.isNumber(expected)) {
        throw new TypeError('argument 0 of .toBeLessThanOrEqual must be a number');
    }
    return function (actual) {
        var actualString = utils_1.stringify(actual);
        if (!utils_1.isNumber(actual)) {
            return {
                success: false,
                message: "expected " + actualString + " to be less than or equal to " +
                    (expected + ", but it is not a number"),
                negatedMessage: ''
            };
        }
        return {
            success: actual <= expected,
            message: "expected " + actualString + " to be less than or equal to " + expected,
            negatedMessage: "expected " + actualString + " not to be less than or equal to " +
                (expected + ", but it is")
        };
    };
}
exports.validateLessThanOrEqual = validateLessThanOrEqual;
